OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.CoordinateFrame

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTCoordinateFrame :: MonadIO m => m Bool
- gl_EXT_coordinate_frame :: Bool
- gl_BINORMAL_ARRAY_EXT :: GLenum
- gl_BINORMAL_ARRAY_POINTER_EXT :: GLenum
- gl_BINORMAL_ARRAY_STRIDE_EXT :: GLenum
- gl_BINORMAL_ARRAY_TYPE_EXT :: GLenum
- gl_CURRENT_BINORMAL_EXT :: GLenum
- gl_CURRENT_TANGENT_EXT :: GLenum
- gl_MAP1_BINORMAL_EXT :: GLenum
- gl_MAP1_TANGENT_EXT :: GLenum
- gl_MAP2_BINORMAL_EXT :: GLenum
- gl_MAP2_TANGENT_EXT :: GLenum
- gl_TANGENT_ARRAY_EXT :: GLenum
- gl_TANGENT_ARRAY_POINTER_EXT :: GLenum
- gl_TANGENT_ARRAY_STRIDE_EXT :: GLenum
- gl_TANGENT_ARRAY_TYPE_EXT :: GLenum
- glBinormal3bEXT :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glBinormal3bvEXT :: MonadIO m => Ptr GLbyte -> m ()
- glBinormal3dEXT :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glBinormal3dvEXT :: MonadIO m => Ptr GLdouble -> m ()
- glBinormal3fEXT :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glBinormal3fvEXT :: MonadIO m => Ptr GLfloat -> m ()
- glBinormal3iEXT :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glBinormal3ivEXT :: MonadIO m => Ptr GLint -> m ()
- glBinormal3sEXT :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glBinormal3svEXT :: MonadIO m => Ptr GLshort -> m ()
- glBinormalPointerEXT :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glTangent3bEXT :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glTangent3bvEXT :: MonadIO m => Ptr GLbyte -> m ()
- glTangent3dEXT :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glTangent3dvEXT :: MonadIO m => Ptr GLdouble -> m ()
- glTangent3fEXT :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glTangent3fvEXT :: MonadIO m => Ptr GLfloat -> m ()
- glTangent3iEXT :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glTangent3ivEXT :: MonadIO m => Ptr GLint -> m ()
- glTangent3sEXT :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glTangent3svEXT :: MonadIO m => Ptr GLshort -> m ()
- glTangentPointerEXT :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetEXTCoordinateFrame :: MonadIO m => m Bool

Is the EXT_coordinate_frame extension supported?

gl_EXT_coordinate_frame :: Bool

Is the EXT_coordinate_frame extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTCoordinateFrame` in those cases instead.

# Enums

gl_BINORMAL_ARRAY_EXT :: GLenum

gl_BINORMAL_ARRAY_POINTER_EXT :: GLenum

gl_BINORMAL_ARRAY_STRIDE_EXT :: GLenum

gl_BINORMAL_ARRAY_TYPE_EXT :: GLenum

gl_CURRENT_BINORMAL_EXT :: GLenum

gl_CURRENT_TANGENT_EXT :: GLenum

gl_MAP1_BINORMAL_EXT :: GLenum

gl_MAP1_TANGENT_EXT :: GLenum

gl_MAP2_BINORMAL_EXT :: GLenum

gl_MAP2_TANGENT_EXT :: GLenum

gl_TANGENT_ARRAY_EXT :: GLenum

gl_TANGENT_ARRAY_POINTER_EXT :: GLenum

gl_TANGENT_ARRAY_STRIDE_EXT :: GLenum

gl_TANGENT_ARRAY_TYPE_EXT :: GLenum

# Functions

glBinormal3bEXT

Arguments

:: MonadIO m |
=> GLbyte | `bx`.
-> GLbyte | `by`.
-> GLbyte | `bz`.
-> m () |

The vector equivalent of this command is `glBinormal3bvEXT`.

glBinormal3bvEXT

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `GLbyte`.
-> m () |

glBinormal3dEXT

Arguments

:: MonadIO m |
=> GLdouble | `bx` of type `CoordD`.
-> GLdouble | `by` of type `CoordD`.
-> GLdouble | `bz` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glBinormal3dvEXT`.

glBinormal3dvEXT

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

glBinormal3fEXT

Arguments

:: MonadIO m |
=> GLfloat | `bx` of type `CoordF`.
-> GLfloat | `by` of type `CoordF`.
-> GLfloat | `bz` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glBinormal3fvEXT`.

glBinormal3fvEXT

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

glBinormal3iEXT

Arguments

:: MonadIO m |
=> GLint | `bx`.
-> GLint | `by`.
-> GLint | `bz`.
-> m () |

The vector equivalent of this command is `glBinormal3ivEXT`.

glBinormal3ivEXT

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `GLint`.
-> m () |

glBinormal3sEXT

Arguments

:: MonadIO m |
=> GLshort | `bx`.
-> GLshort | `by`.
-> GLshort | `bz`.
-> m () |

The vector equivalent of this command is `glBinormal3svEXT`.

glBinormal3svEXT

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

glBinormalPointerEXT

Arguments

:: MonadIO m |
=> GLenum | `type` of type `BinormalPointerTypeEXT`.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

glTangent3bEXT

Arguments

:: MonadIO m |
=> GLbyte | `tx`.
-> GLbyte | `ty`.
-> GLbyte | `tz`.
-> m () |

The vector equivalent of this command is `glTangent3bvEXT`.

glTangent3bvEXT

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `GLbyte`.
-> m () |

glTangent3dEXT

Arguments

:: MonadIO m |
=> GLdouble | `tx` of type `CoordD`.
-> GLdouble | `ty` of type `CoordD`.
-> GLdouble | `tz` of type `CoordD`.
-> m () |

The vector equivalent of this command is `glTangent3dvEXT`.

glTangent3dvEXT

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

glTangent3fEXT

Arguments

:: MonadIO m |
=> GLfloat | `tx` of type `CoordF`.
-> GLfloat | `ty` of type `CoordF`.
-> GLfloat | `tz` of type `CoordF`.
-> m () |

The vector equivalent of this command is `glTangent3fvEXT`.

glTangent3fvEXT

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

glTangent3iEXT

Arguments

:: MonadIO m |
=> GLint | `tx`.
-> GLint | `ty`.
-> GLint | `tz`.
-> m () |

The vector equivalent of this command is `glTangent3ivEXT`.

glTangent3ivEXT

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `GLint`.
-> m () |

glTangent3sEXT

Arguments

:: MonadIO m |
=> GLshort | `tx`.
-> GLshort | `ty`.
-> GLshort | `tz`.
-> m () |

The vector equivalent of this command is `glTangent3svEXT`.

glTangent3svEXT

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

glTangentPointerEXT

Arguments

:: MonadIO m |
=> GLenum | `type` of type `TangentPointerTypeEXT`.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |